# TdApi.DeviceTokenUbuntuPush (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeviceTokenUbuntuPush

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeviceTokenUbuntuPush

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DeviceToken
it.tdlight.jni.TdApi.DeviceTokenUbuntuPush

Enclosing class:
  TdApi

public static final class TdApi.DeviceTokenUbuntuPush extends TdApi.DeviceToken
A token for Ubuntu Push Client service.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`token`
Token; may be empty to deregister a device.

## Constructor Summary

Constructors
Constructor
Description
`DeviceTokenUbuntuPush()`
A token for Ubuntu Push Client service.
`DeviceTokenUbuntuPush(DataInput input)`
A token for Ubuntu Push Client service.
`DeviceTokenUbuntuPush(String token)`
A token for Ubuntu Push Client service.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### token

public String token
Token; may be empty to deregister a device.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DeviceTokenUbuntuPush

public DeviceTokenUbuntuPush()
A token for Ubuntu Push Client service.

### DeviceTokenUbuntuPush

public DeviceTokenUbuntuPush(String token)
A token for Ubuntu Push Client service.

Parameters:
  `token` - Token; may be empty to deregister a device.

### DeviceTokenUbuntuPush

public DeviceTokenUbuntuPush(DataInput input) throws IOException
A token for Ubuntu Push Client service.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`